Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.detection.multicast
Interface MulticastDetectorMBean

All Superinterfaces:
  Detector, javax.management.MBeanRegistration

All Known Implementing Classes:
  MulticastDetector

public interface MulticastDetectorMBean
extends Detector

MulticastDetectorMBean

Version:
  $Revision: 1.2 $
Author:
  Jeff Haynie

Method Summary
`InetAddress` | `getAddress()` return the multicast address of the detector
`InetAddress` | `getBindAddress()` return the bind address of the detector
`int` | `getPort()` get the port that the detector is multicasting to
`void` | `setAddress(InetAddress ip)` set the interface address of the multicast
`void` | `setBindAddress(InetAddress ip)` set the bind address
`void` | `setPort(int port)` set the port for detections to be multicast to

Methods inherited from interface org.jboss.remoting.detection.Detector
`start, stop`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Method Detail

### getAddress

    public InetAddress getAddress()

  return the multicast address of the detector

  Returns:

### setAddress

    public void setAddress(InetAddress ip)

  set the interface address of the multicast

  Parameters:
    `ip` -

### getBindAddress

    public InetAddress getBindAddress()

  return the bind address of the detector

  Returns:

### setBindAddress

    public void setBindAddress(InetAddress ip)

  set the bind address

  Parameters:
    `ip` -

### setPort

    public void setPort(int port)

  set the port for detections to be multicast to

  Parameters:
    `port` -

### getPort

    public int getPort()

  get the port that the detector is multicasting to

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.